# MatPartitioningSetAdjacency

Sets the adjacency graph (matrix) of the thing to be partitioned.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningSetAdjacency(MatPartitioning part,Mat adj)

Collective on MatPartitioning and Mat

### Input Parameters

| part | - the partitioning context
| adj | - the adjacency matrix

### Keywords

Partitioning, adjacency

### See Also

MatPartitioningCreate()

Level:beginner
Location: src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex10.c.html
src/dm/ao/examples/tutorials/ex2.c.html